package com.ywt.glasses.constants;

/**
 * 系统常量定义
 *
 * @author
 */
public class ConstantDef {
    /**
     * 最大页码
     */
    public static final int MAX_PAGE_INDEX = 100;
    /**
     * 最大页大小
     */
    public static final int MAX_PAGE_SIZE = 2000;
    /**
     * 默认页大小
     */
    public static final int PAGE_SIZE = 20;
    /**
     * 最大年龄
     */
    public static final int MAX_AGE = 100;

    /**
     * 最小年龄
     */
    public static final int MIN_AGE = 0;

    /**
     * 患者咨询时最多可上传的图片数量
     */
    public static final int CONSULT_IMAGE_MAX_COUNT = 9;

    /**
     * 下载起始页：默认第一页
     */
    public static final int DOWNLOAD_PAGE_INDEX = 1;

    /**
     * 下载页数大小：默认1000
     */
    public static final int DOWNLOAD_PAGE_SIZE = 1000;


    /**
     * 医生修改头像保存路径
     */
    public static final String DOCTOR_AVATAR_PATH = "doctor/avatar2";

    /**
     * 患者病历图片存放路径、患者信息图片存放路径、咨询订单图片存放路径
     */
    public static final String PATIENT_HIS_PATH = "up/patient/his/image";


    /**
     * 聊天图片存放路径
     */
    public static final String IM_IMAGE_PATH = "up/im/image";


    public static final String GOODS_IMAGE_PATH = "up/glasses/goods";

    /**
     * 对账数据时间补全
     */
    public static final String BILL_TIME_START_FORMAT = " 00:00:00";
    public static final String BILL_TIME_END_FORMAT = " 23:59:59";
    public static final String BILL_PAYMENT_STR = "支付";
    public static final String BILL_REFUND_STR = "退款";

    /**
     * 眼镜参数
     */
    public static final String GLASSES_PARAM_COMMON = "GLASSES_PARAM_COMMON";

    /**
     * 南方医院白云分院 id
     */
    public static final int NFYYBYFY_HOSPITAL_ID = 41;

    /**
     * 南方医院白云分院商品订单详情url
     */
    public static final String NFYYBYFY_GOODS_ORDERS_DETAIL_URL = "/nfyybyfywe/glasses?id=%d";

    /**
     * 南方医院白云分院眼镜店支付成功消息推送（营养餐用的也是这个）
     */
    public static final String TPL_ID_NFYYBYFY_GLASSES_PAY_SUCCESS = "TPL_2008";

    /**
     * 眼镜店支付代码
     */
    public static final String GLASSES_PAY_CODE = "1019";
    public static final String GLASSES_PAY_BODY = "验配";
}


